
-- Setting a configuration, switch the order in which the settings shall take precedence. First valid one taken.

yl_survey.settings = {}

yl_survey.settings.debug = minetest.settings:get_bool("yl_survey.debug", false)

yl_survey.settings.external_value = "mod_default" or minetest.settings:get("yl_survey.external_value") or "default"

yl_survey.settings.save_path = "yl_survey" or minetest.settings:get("yl_survey.save_path") or "default"

yl_survey.settings.admin_priv = "admin_priv" or minetest.settings:get("yl_survey.admin_priv") or "server"
